Bug 21232 - modutils-2.3.20-0.6.2.1 breaks sound on RH 6.2
modutils-2.3.20-0.6.2.1 breaks sound on RH 6.2
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: modutils (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
David Lawrence
:
: 21240 21640 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-22 04:41 EST by Frank Elsner
Modified: 2007-04-18 12:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-23 03:01:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Elsner 2000-11-22 04:41:21 EST
After upgrading to modutils-2.3.20-0.6.2.1.i386.rpm
(following RedHat Advisory [RHSA-2000:108-03])
I get the error

| Nov 21 19:04:33 moltke rc.sysinit: Finding module dependencies succeeded 
| Nov 21 19:04:33 moltke modprobe: Using
/lib/modules/2.2.18-21/misc/sound.o 
| Nov 21 19:04:33 moltke modprobe: insmod: a module named sound already
exists 
| Nov 21 19:04:33 moltke rc.sysinit: Loading sound module (sb) failed 
| Nov 21 19:04:33 moltke modprobe: insmod: insmod
/lib/modules/2.2.18-21/misc/sound.o failed 
| Nov 21 19:04:33 moltke modprobe: insmod: insmod sb failed

"/etc/modules.conf" reads:

| alias sound sb
| pre-install sound /sbin/insmod sound dmabuf=1
| options sb io=0x220 irq=7 dma=0 mpu_io=0x300

-Frank Elsner
Comment 1 Frank Elsner 2000-11-22 06:09:20 EST
Long time ago I've already changed

/etc/conf.modules   ->  /etc/modules.conf in "/etc/rc.d/rc.sysinit.

-Frank Elsner
Comment 2 Matt Wilson 2000-11-22 18:13:10 EST
*** Bug 21240 has been marked as a duplicate of this bug. ***
Comment 3 Jean-David Beyer 2000-11-22 21:56:33 EST
------- Additional comments from msw@redhat.com 2000-11-22 06:22 -------

   Are you sure you had the latest modutils package for the errata?  It looks
like the broken modutils package moved /etc/conf.modules to /etc/modules.conf,
then when you upgraded to the fixed modutils package things didn't get moved
back.

----------
If I (jdbeyer@exit109.com) am supposed to answer this (bug 21240), I am unaware
that file /etc/modules.conf ever existed on my machine. Here is my entire
/etc/conf.modules as it is now, in case it matters:

valinux:root[/etc]# cat conf.modules
alias scsi_hostadapter ncr53c8xx
alias eth0 eepro100
alias parport_lowlevel parport_pc
options parport_pc io=0x378 irq=7
alias sound sb
pre-install sound insmod sound dmabuf=1
alias midi opl3
options opl3 io=0x388
options sb io=0x220 irq=5 dma=1 mpu_io=0x330
valinux:root[/etc]# 
Comment 4 Frank Elsner 2000-11-23 03:01:11 EST
The change from /etc/conf.modules to /etc/modules.conf in /etc/rc.d/rc.sysinit
was necessary (at least for me) for after upgrade from RK 6.0 to RH 6.2 as
suggested by a warning message from "depmod -a".

I just took a look into the source of "modutils-2.3.20-0.6.2.1"
and found
           #define ETC_MODULES_CONF        "/etc/modules.conf"

"man depmod" says:

| FILES
|       /etc/modules.conf (alternatively but deprecated /etc/modules.conf)
             ^^^^^^^^^^^^                                    ^^^^^^^^^^^^

But "man modprobe" tells me:

| FILES
|       /etc/modules.conf, (alternatively but deprecated: /etc/conf.modules)
             ^^^^^^^^^^^^                                  ^^^^^^^^^^^^^^^^

Just to complete the overall confusion :-)

-Frank
Comment 5 Bill Nottingham 2000-11-24 00:24:52 EST
Fix: change the 'alias sound' in /etc/<whatever you're using>
to 'alias sound-slot-0'.
Comment 6 Jean-David Beyer 2000-11-24 07:30:11 EST
Resolved for me: RealAudio now works for me. Thank you.
Comment 7 Frank Elsner 2000-11-24 16:02:39 EST
For me too, thanks for the fix.

But you should tell /usr/sbin/sndconfig not to generate such sound related
lines as in /etc/modules.conf, which made the discussion and fix appear.

Sideeffect: I learned to handle bugzilla.

-Frank
Comment 8 Bill Nottingham 2000-12-03 19:51:45 EST
*** Bug 21640 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.